commit:     a955f52f47ea66104b3cdc4060be8c4c7b46dd2f
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 20 12:50:45 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Thu Aug 20 12:51:32 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a955f52f

dev-libs/crossguid: new package #557412

 dev-libs/crossguid/Manifest                       |  1 +
 dev-libs/crossguid/crossguid-0_pre20150817.ebuild | 47 +++++++++++++++++++++++
 dev-libs/crossguid/metadata.xml                   |  8 ++++
 3 files changed, 56 insertions(+)

diff --git a/dev-libs/crossguid/Manifest b/dev-libs/crossguid/Manifest
new file mode 100644
index 0000000..5e62e42
--- /dev/null
+++ b/dev-libs/crossguid/Manifest
@@ -0,0 +1 @@
+DIST crossguid-0_pre20150817.tar.gz 46569 SHA256 
022c9f02cc36e865cd8fd0111a597ff2bd91988deeb348dbe2aba64aed1abd99 SHA512 
823ca301f1d3b78a778649cd9169194d98dd33c65cadd5bfb9f86429e82049c99c17e09f093b92675981d2aac2aac25b60cbb157fad57a3e1bada826edd8ba0a
 WHIRLPOOL 
16cb99af3d52a71c63bab1c266623dfd02a65e9d2a94851878358a822bd6a456fb41703c3268ea4393e0068589a7894c96a2ce1ee69135da947e206e2c43f8ce

diff --git a/dev-libs/crossguid/crossguid-0_pre20150817.ebuild 
b/dev-libs/crossguid/crossguid-0_pre20150817.ebuild
new file mode 100644
index 0000000..6463aa1
--- /dev/null
+++ b/dev-libs/crossguid/crossguid-0_pre20150817.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://github.com/graeme-hill/crossguid.git"
+       inherit git-r3
+else
+       EGIT_COMMIT="8f399e8bd4252be9952f3dfa8199924cc8487ca4"
+       
SRC_URI="https://github.com/graeme-hill/crossguid/archive/${EGIT_COMMIT}.tar.gz 
-> ${P}.tar.gz"
+       S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
+fi
+
+DESCRIPTION="Lightweight cross platform C++ GUID/UUID library"
+HOMEPAGE="https://github.com/graeme-hill/crossguid";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# We use libuuid from util-linux.
+DEPEND="sys-apps/util-linux"
+RDEPEND="${DEPEND}"
+
+e() { echo "$@"; "$@"; }
+
+src_compile() {
+       e $(tc-getCXX) \
+               ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS} \
+               -std=c++11 \
+               -c guid.cpp -o guid.o \
+               -DGUID_LIBUUID \
+               || die
+
+       e $(tc-getAR) rs libcrossguid.a guid.o || die
+}
+
+src_install() {
+       insinto /usr/include
+       doins guid.h
+       dolib.a libcrossguid.a
+}

diff --git a/dev-libs/crossguid/metadata.xml b/dev-libs/crossguid/metadata.xml
new file mode 100644
index 0000000..65b78d5
--- /dev/null
+++ b/dev-libs/crossguid/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>xbox</herd>
+<upstream>
+       <remote-id type='github'>graeme-hill/crossguid</remote-id>
+</upstream>
+</pkgmetadata>

Reply via email to